"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
function useClickOutside(ref, callback) {
    (0, useEventListener_1.default)("click", function (e) {
        if (ref.current == null || ref.current.contains(e.target))
            return;
        callback(e);
    }, document);
}
exports.default = useClickOutside;
