"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var copy_to_clipboard_1 = tslib_1.__importDefault(require("copy-to-clipboard"));
function useCopyToClipboard() {
    var _a = (0, react_1.useState)(""), value = _a[0], setValue = _a[1];
    var _b = (0, react_1.useState)(false), success = _b[0], setSuccess = _b[1];
    var copyToClipboard = function (text, options) {
        var result = (0, copy_to_clipboard_1.default)(text, options);
        if (result)
            setValue(text);
        setSuccess(result);
    };
    return [copyToClipboard, { value: value, success: success }];
}
exports.default = useCopyToClipboard;
