"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
function useHover(ref) {
    var _a = (0, react_1.useState)(false), hovered = _a[0], setHovered = _a[1];
    (0, useEventListener_1.default)("mouseover", function () { return setHovered(true); }, ref.current);
    (0, useEventListener_1.default)("mouseout", function () { return setHovered(false); }, ref.current);
    return hovered;
}
exports.default = useHover;
